This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 709780 - openssh-5.8p2-5.fc16.1 fails to build (error: 'FALSE' undeclared)
openssh-5.8p2-5.fc16.1 fails to build (error: 'FALSE' undeclared)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
rawhide
powerpc Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan F. Chadima
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-01 11:44 EDT by Karsten Hopp
Modified: 2011-06-16 06:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-16 06:45:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2011-06-01 11:44:47 EDT
Description of problem:
http://ppc.koji.fedoraproject.org/koji/getfile?taskID=227596&name=build.log

a rebuild of the latest openssh package fails with this error message:

gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -fpic -I/usr/include/gssapi -Wall -Wpointer-arith -Wuninitialized -Wsign-compare -Wformat-security -Wno-pointer-sign -Wno-unused-result -fno-strict-aliasing -fno-builtin-memset -fstack-protector-all  -I. -I. -I/usr/include/gssapi -I/usr/include/editline   -DLDAP_DEPRECATED  -DSSHDIR=\"/etc/ssh\" -D_PATH_SSH_PROGRAM=\"/usr/bin/ssh\" -D_PATH_SSH_ASKPASS_DEFAULT=\"/usr/libexec/openssh/ssh-askpass\" -D_PATH_SFTP_SERVER=\"/usr/libexec/openssh/sftp-server\" -D_PATH_SSH_KEY_SIGN=\"/usr/libexec/openssh/ssh-keysign\" -D_PATH_SSH_PKCS11_HELPER=\"/usr/libexec/openssh/ssh-pkcs11-helper\" -D_PATH_SSH_PIDDIR=\"/var/run\" -D_PATH_PRIVSEP_CHROOT_DIR=\"/var/empty/sshd\" -DSSH_RAND_HELPER=\"/usr/libexec/openssh/ssh-rand-helper\" -DHAVE_CONFIG_H -c ldapbody.c
ldapbody.c: In function '_rebind_proc':
ldapbody.c:85:36: error: 'FALSE' undeclared (first use in this function)
ldapbody.c:85:36: note: each undeclared identifier is reported only once for each function it appears in
ldapbody.c: In function 'ldap_do_connect':
ldapbody.c:308:2: warning: #warning unknown LDAP_SET_REBIND_PROC_ARGS [-Wcpp]
ldapbody.c:390:36: error: 'FALSE' undeclared (first use in this function)
ldapbody.c:401:73: error: 'TRUE' undeclared (first use in this function)
ldapbody.c: At top level:
ldapbody.c:60:1: warning: '_rebind_proc' defined but not used [-Wunused-function]
Comment 1 Jan F. Chadima 2011-06-09 07:25:02 EDT
the problem is in the LDAP headers ... there is some incompatibility
Comment 2 Jan F. Chadima 2011-06-16 02:29:40 EDT
Do you solve the problem? Can be this bz closed?
Comment 3 Karsten Hopp 2011-06-16 06:45:25 EDT
openssh-5.8p2-7.fc16.1 built ok on ppc and ppc64. closing...

Note You need to log in before you can comment on or make changes to this bug.